<?php
declare(strict_types=1);

/**
 * Copyright © 2022 Amazon. All rights reserved.
 */

namespace Amazonfulfillment\AmazonMCF\Model\Shippingrate;

use Magento\Ui\DataProvider\AbstractDataProvider;
use Magento\Config\Model\ResourceModel\Config\Data\CollectionFactory;
use Magento\Framework\UrlInterface;
use Magento\Store\Model\StoreManagerInterface;

class DataProvider extends AbstractDataProvider
{
    /**
     * @param string $name
     * @param string $primaryFieldName
     * @param string $requestFieldName
     * @param CollectionFactory $collectionFactory
     * @param StoreManagerInterface $storeManager
     * @param array $meta
     * @param array $data
     */
    public function __construct(
        $name,
        $primaryFieldName,
        $requestFieldName,
        CollectionFactory $collectionFactory,
        StoreManagerInterface $storeManager,
        array $meta = [],
        array $data = []
    ) {
        $this->collectionFactory    = $collectionFactory;
        $this->collection           = $this->collectionFactory->create();
        $this->storeManager         = $storeManager;
        parent::__construct($name, $primaryFieldName, $requestFieldName, $meta, $data);
    }

    /**
     * Get data
     *
     * @return array
     */
    public function getData()
    {
        return [];
    }

    /**
     * Get Config Settings Paths
     *
     * @return  array
     */
    public function getConfigPath()
    {
        $settingList= [
             "standard_enable"  => 'amazonfulfillment/shipping_standard/standard_enable',
             "standard_rate"    => 'amazonfulfillment/shipping_standard/standard_rate',
             "standard_order"   => 'amazonfulfillment/shipping_standard/standard_order',
             "standard_desc"    => 'amazonfulfillment/shipping_standard/standard_desc',
             "expedited_enable" => 'amazonfulfillment/shipping_expedited/expedited_enable',
             "expedited_rate"   => 'amazonfulfillment/shipping_expedited/expedited_rate',
             "expedited_order"  => 'amazonfulfillment/shipping_expedited/expedited_order',
             "expedited_desc"   => 'amazonfulfillment/shipping_expedited/expedited_desc',
             "priority_enable"  => 'amazonfulfillment/shipping_priority/priority_enable',
             "priority_rate"    => 'amazonfulfillment/shipping_priority/priority_rate',
             "priority_order"   => 'amazonfulfillment/shipping_priority/priority_order',
             "priority_desc"    => 'amazonfulfillment/shipping_priority/priority_desc',
        ];
        return $settingList;
    }
}
