define([
    'underscore',
    'mage/utils/wrapper',
    'Magento_Checkout/js/checkout-data',
    'Magento_Checkout/js/action/select-shipping-method',
    'Magento_Checkout/js/action/select-payment-method'
],function (_, wrapper, checkoutData, selectShippingMethodAction) {
    'use strict';

    return function (checkoutDataResolver) {
        var resolveShippingRates = wrapper.wrap(
            checkoutDataResolver.resolveShippingRates,
            function (originalResolveShippingRates, ratesData) {
                var selectedShippingRate = checkoutData.getSelectedShippingRate();
                var lowestRateId = _.min(_.keys(ratesData), function(k) { return ratesData[k].amount; });

                if (ratesData.length === 1) {
                    selectShippingMethodAction(ratesData[0]);
                    return;
                }
                if(lowestRateId && !selectedShippingRate && ratesData.length > 0) {
                    selectShippingMethodAction(ratesData[lowestRateId]);
                }
                return originalResolveShippingRates(ratesData);
            }
        );
        return _.extend(checkoutDataResolver, {
            resolveShippingRates: resolveShippingRates
        });
    };
});
