/**
 * Copyright © 2022 Amazon. All rights reserved.
 */
define(
    [
        'uiComponent',
        'Magento_Checkout/js/model/shipping-rates-validator',
        'Magento_Checkout/js/model/shipping-rates-validation-rules',
        'Amazonfulfillment_AmazonMCF/js/model/shipping-rates-validator',
        'Amazonfulfillment_AmazonMCF/js/model/shipping-rates-validation-rules'
    ],
    function (
        Component,
        defaultShippingRatesValidator,
        defaultShippingRatesValidationRules,
        amazonShippingRatesValidator,
        amazonShippingRatesValidationRules
    ) {
        'use strict';
        defaultShippingRatesValidator.registerValidator('amazonfulfillment', amazonShippingRatesValidator);
        defaultShippingRatesValidationRules.registerRules('amazonfulfillment', amazonShippingRatesValidationRules);
        return Component;
    }
);
